Subject: Re: [Linux-ATM-General] [RFC][PATCH] Very basic sysfs support for ATM devices (updated)

From: Roman Kagan <[email-masked]>
Date: Tue, 8 Feb 2005 19:45:47 +0300

On Tue, Feb 08, 2005 at 10:02:19AM -0500, chas williams - CONTRACTOR wrote:
> >it is, maybe we shouldn't create an atm-specific user-visible interface
> >in sysfs and hotplug which is going to be obsoleted by the net generic
> >one in the near future?
> 
> with sysfs support the only thing left to 'fix' would be splitting of
> allocation/registration.

I beg your pardon, but are you saying that you've changed your mind re.
moving to net_device?  Is your plan now to cast in stone that ATM
devices live under class/atm in sysfs, and go ahead with splitting of
allocation/registration of the current atm_dev?

Roman.